<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if (!defined('ABSPATH')) {
  exit;
} // Exit if accessed directly

class KavehBlogSingleComments extends \Elementor\Widget_Base
{

  public function get_name()
  {
    return 'kavehblogsinglecomments';
  }

  public function get_title()
  {
    return esc_html__('Single Post Comment Element', 'kavehTheme');
  }

  public function get_icon()
  {
    return 'eicon-archive-posts';
  }

  public function get_categories()
  {
    return ['blogsingleelements'];
  }

  protected function register_controls()
  {


  }



  protected function render()
  {
    $settings = $this->get_settings_for_display();
    $clsid = $this->get_id();
    ?>

    <?php if (is_single()): ?>
        <?php comments_template(); ?>
    <?php endif; ?>

    <?php
  }

}


